summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2020-11-27 20:40:21 +0100
committer Willy Sudiarto Raharjo2020-11-28 19:02:52 +0100
commit51c55eca05fa9bd27753c8f9695cddad38701397 (patch)
tree82e2ba38f15d4a8043b4830eeb925fd98eb9a2b8 /development
parent049d7a50d1416fa272677906e3972adfbde45d09 (diff)
downloadslackbuilds-51c55eca05fa9bd27753c8f9695cddad38701397.tar.gz
development/cproto: Added (generate function prototypes for C code)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/cproto/README10
-rw-r--r--development/cproto/cproto.SlackBuild75
-rw-r--r--development/cproto/cproto.info10
-rw-r--r--development/cproto/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/development/cproto/README b/development/cproto/README
new file mode 100644
index 0000000000..9099489a30
--- /dev/null
+++ b/development/cproto/README
@@ -0,0 +1,10 @@
+cproto (generate function prototypes for C code)
+
+Cproto is a program that generates function prototypes and
+variable declarations from C source code. It can also convert
+function definitions between the old style and the ANSI C style.
+This conversion overwrites the original files, so make a backup copy
+of your files in case something goes wrong.
+
+The program isn't confused by complex function definitions as much as
+other prototype generators because it uses a yacc generated parser.
diff --git a/development/cproto/cproto.SlackBuild b/development/cproto/cproto.SlackBuild
new file mode 100644
index 0000000000..b474e91fda
--- /dev/null
+++ b/development/cproto/cproto.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for cproto
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=cproto
+VERSION=${VERSION:-4.7q}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS -Wl,-s" \
+CXXFLAGS="$SLKCFLAGS -Wl,-s" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGES LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cproto/cproto.info b/development/cproto/cproto.info
new file mode 100644
index 0000000000..8e24ba846a
--- /dev/null
+++ b/development/cproto/cproto.info
@@ -0,0 +1,10 @@
+PRGNAM="cproto"
+VERSION="4.7q"
+HOMEPAGE="https://invisible-island.net/cproto/"
+DOWNLOAD="ftp://ftp.invisible-island.net/cproto/cproto-4.7q.tgz"
+MD5SUM="080c9edd8f68246304831d09e740f9e9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/development/cproto/slack-desc b/development/cproto/slack-desc
new file mode 100644
index 0000000000..d59bec28ed
--- /dev/null
+++ b/development/cproto/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cproto: cproto (generate function prototypes for C code)
+cproto:
+cproto: Cproto is a program that generates function prototypes and
+cproto: variable declarations from C source code. It can also convert
+cproto: function definitions between the old style and the ANSI C style.
+cproto: This conversion overwrites the original files, so make a backup copy
+cproto: of your files in case something goes wrong.
+cproto:
+cproto:
+cproto:
+cproto: